Bug 1574128 - Review Request: python-Automat - Self-service finite-state machines for the programmer on the go
Summary: Review Request: python-Automat - Self-service finite-state machines for the p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jos de Kloe
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1574121
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 17:53 UTC by Robert-André Mauchin 🐧
Modified: 2018-05-23 15:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-23 15:39:27 UTC
Type: ---
josdekloe: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2018-05-02 17:53:33 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/python-twisted/fedora-rawhide-x86_64/00748481-python-Automat/python-Automat.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/python-twisted/fedora-rawhide-x86_64/00748481-python-Automat/python-Automat-0.6.0-1.fc29.src.rpm

Description:
Automat is a library for concise, idiomatic Python expression of finite-state 
automata (particularly deterministic finite-state transducers).

Fedora Account System Username: eclipseo

Comment 1 Jos de Kloe 2018-05-10 21:47:24 UTC
Here is my review. 
The only issue I could find is with the %check section, see below.
I'll add that remark to the python-graphviz review.
Since it is not a problem of the current package, this one is approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 22 files have
     unknown license. Detailed output of licensecheck in
     /home/user_to_make_rpms/reviews/1574128-python-
     Automat/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[-]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-Automat , python3-Automat
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.

==>not all checks are executed...
7 tests have been skipped with the remark: 'Graphviz tools are not installed.
it seems to me this is caused by the fact that python-graphviz,
does not have a requires on the  graphviz package itself ...
Since this is a problem in a required package that still is to
be reviewed and not in this package,  it is no reason to not approve this one.

[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-Automat-0.6.0-1.fc29.noarch.rpm
          python3-Automat-0.6.0-1.fc29.noarch.rpm
          python-Automat-0.6.0-1.fc29.src.rpm
python2-Automat.noarch: W: spelling-error %description -l en_US automata -> automate, automaton, automatism
python3-Automat.noarch: W: spelling-error %description -l en_US automata -> automate, automaton, automatism
python3-Automat.noarch: W: no-manual-page-for-binary automat-visualize
python-Automat.src: W: spelling-error %description -l en_US automata -> automate, automaton, automatism
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

Rpmlint (installed packages)
----------------------------
python3-Automat.noarch: W: spelling-error %description -l en_US automata -> automate, automaton, automatism
python3-Automat.noarch: W: invalid-url URL: https://github.com/glyph/Automat <urlopen error [Errno -2] Name or service not known>
python3-Automat.noarch: W: no-manual-page-for-binary automat-visualize
python2-Automat.noarch: W: spelling-error %description -l en_US automata -> automate, automaton, automatism
python2-Automat.noarch: W: invalid-url URL: https://github.com/glyph/Automat <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

==>the spelling errors are not relevant
==>the missing man page could be suggested upstream


Requires
--------
python3-Automat (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3.6dist(attrs)
    python3.6dist(six)

python2-Automat (rpmlib, GLIBC filtered):
    python(abi)
    python2.7dist(attrs)
    python2.7dist(six)



Provides
--------
python3-Automat:
    python3-Automat
    python3.6dist(automat)
    python3dist(automat)

python2-Automat:
    python-Automat
    python2-Automat
    python2.7dist(automat)
    python2dist(automat)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/A/Automat/Automat-0.6.0.tar.gz :
  CHECKSUM(SHA256) this package     : 3c1fd04ecf08ac87b4dd3feae409542e9bf7827257097b2b6ed5692f69d6f6a8
  CHECKSUM(SHA256) upstream package : 3c1fd04ecf08ac87b4dd3feae409542e9bf7827257097b2b6ed5692f69d6f6a8


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1574128 -L prebuild_rpms
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Built with local dependencies:
    /home/user_to_make_rpms/reviews/prebuild_rpms/python-graphviz-doc-0.8.2-1.fc29.noarch.rpm
    /home/user_to_make_rpms/reviews/prebuild_rpms/python2-graphviz-0.8.2-1.fc29.noarch.rpm
    /home/user_to_make_rpms/reviews/prebuild_rpms/python3-graphviz-0.8.2-1.fc29.noarch.rpm

Comment 2 Robert-André Mauchin 🐧 2018-05-12 16:11:31 UTC
Thank you for the review!

Comment 3 Gwyn Ciesla 2018-05-14 13:16:09 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-Automat

Comment 4 Fedora Update System 2018-05-14 14:33:15 UTC
python-Automat-0.6.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3af65508e7

Comment 5 Fedora Update System 2018-05-14 20:40:19 UTC
python-Automat-0.6.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3af65508e7

Comment 6 Fedora Update System 2018-05-23 15:39:27 UTC
python-Automat-0.6.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.